<script>
import TaskTable from '@/Pages/Tasks/Components/TaskTable.vue'
import TaskTableRow from '@/Pages/Tasks/Components/TaskTableRow.vue'
import { Link } from '@inertiajs/inertia-vue3';

export default {
    name: 'Index',
    props: {
        'title': String,
    },
    components: {
        TaskTableRow,
        TaskTable,
        Link,
    },
    methods: {
        statusName(num){
            switch (num) {
                case 0:
                    return "قيد الانجاز"
                    break;

                default:
                    break;
            }
        },

        directName(num){
            switch (num) {
                case 0:
                    return "للتحويل"
                    break;

                default:
                    return "مباشرة"
                    break;
            }
        }
    },
}
</script>

<template>
    <div>
        <TaskTable :is-hidden="false">
            <TaskTableRow v-for="task in $page.props.tasks"
                    :title="task.title"
                    :date="task.created_at"
                    :from="task.from_user.name"
                    :to="task.to_user.name"
                    :dirct="directName(task.dirct)"
                    :status="statusName(task.status)"
            >
                <td className="py-4 px-6">
                    <Link :href="'task-show/' + task.id" className="font-medium text-blue-600 hover:underline">تفاصيل</Link>
                </td>
            </TaskTableRow>
        </TaskTable>
    </div>
</template>
